<template>
  <div class="custom-control custom-checkbox custom-control-inline">
    <label :for="`checkbox_${_uid}`" class="custom-control-label control control-checkbox">
      <slot />
      <input :id="`checkbox_${_uid}`" name="checkbox" type="checkbox" class="custom-control-input" value="datenschutz" required>
      <div class="control-indicator"></div>
    </label>
  </div>
</template>

<style lang="scss" scoped>
.custom-checkbox {
  padding-left: 0;

  .control {
    display: block;
    position: relative;
    padding-left: 30px;
    margin-bottom: 5px;
    padding-top: 3px;
    cursor: pointer;
    font-size: 1rem;
  }

  .control input,
  .control::before,
  .control::after {
      position: absolute;
      z-index: -1;
      opacity: 0;
  }

  .control-indicator {
    position: absolute;
    top: 2px;
    left: 0;
    height: 1.5rem;
    width: 1.5rem;
    background: transparent;
    border: 2px solid $black;
    border-radius: 0px;
  }

  .control:hover input ~ .control-indicator,
  .control input:focus-visible ~ .control-indicator {
    // background: #333;

    &:after {
      border-color: $pink;
    }
  }

  .control input:checked ~ .control-indicator {
    background: transparent;
    border: 2px solid $pink;
  }

  .control:hover input:not([disabled]):checked ~ .control-indicator,
  .control input:checked:focus-visible ~ .control-indicator {
    background: transparent;
  }

  .control input:disabled ~ .control-indicator {
    background: #e6e6e6;
    opacity: 0.6;
    pointer-events: none;
  }

  .control-indicator:after {
    box-sizing: unset;
    content: '';
    position: absolute;
  }

  .control input:checked ~ .control-indicator:after {
    display: block;
    border-color: $pink;
  }

  .control-checkbox .control-indicator:after {
    left: 8px;
    top: 4px;
    width: 3px;
    height: 8px;
    border: solid transparent;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }

  .control-checkbox input:disabled ~ .control-indicator:after {
    border-color: #7b7b7b;
  }

  .control-checkbox .control-indicator::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 4.5rem;
    height: 4.5rem;
    margin-left: -1.3rem;
    margin-top: -1.3rem;
    background: #2aa1c0;
    border-radius: 3rem;
    opacity: 0.6;
    z-index: 99999;
    transform: scale(0);
  }

  &.white {
    .control-indicator {
      border-color: $white;
    }

    .control input:checked ~ .control-indicator {
      background: $pink;
    }

    .control input:checked ~ .control-indicator:after {
      border-color: $white;
    }

    .control:hover input:not([disabled]):checked ~ .control-indicator,
    .control input:checked:focus ~ .control-indicator {
      background: $pink;
    }

  }
}
</style>
